LibreOffice LibreOffice 25.8 SDK API Reference

Included Services | Exported Interfaces | List of all members
SetAccess Service Referencepublished

provides access to a dynamic, homogeneous set of values or nested trees within a hierarchy. More...

`import"SetAccess.idl";`

Inheritance diagram for SetAccess:

## Included Services
service | HierarchyAccess
| is the basic service for accessing child and descendent nodes in a hierarchy. More...
service | SimpleSetAccess
| is the basic service providing information about and access to elements of a not necessarily hierarchical set. More...

## Exported Interfaces
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to the set. More...
Exported Interfaces inherited from HierarchyAccess
interface | com::sun::star::container::XNameAccess
| allows access to immediate children of this node. More...
interface | com::sun::star::container::XHierarchicalNameAccess
| allows access to all descendants of this node More...
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to immediate child nodes. More...
interface | com::sun::star::beans::XExactName
| provides support for inexact names. More...
interface | com::sun::star::beans::XPropertySetInfo
| provides information about immediate children of this node. More...
interface | com::sun::star::beans::XPropertyState
| provides access to the state of child elements of an implementation. More...
interface | com::sun::star::beans::XMultiPropertyStates
| provides access to the states of multiple child elements of an implementation. More...
Exported Interfaces inherited from SimpleSetAccess
interface | com::sun::star::container::XNameAccess
| is the basic service for accessing child and descendent nodes. More...
interface | com::sun::star::configuration::XTemplateContainer
| provides additional information about the element type. More...
interface | com::sun::star::util::XStringEscape
| allows normalizing and denormalizing external names. More...
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to the set. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XExactName
string | getExactName ([in] string aApproximateName)
Protected Member Functions inherited from XPropertySetInfo
sequence< com::sun::star::beans::Property > | getProperties ()
com::sun::star::beans::Property | getPropertyByName ([in] string aName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByName ([in] string Name)
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value. More...
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values. More...
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values. More...
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XTemplateContainer
string | getElementTemplateName ()
| retrieves the name of the template More...
Protected Member Functions inherited from XStringEscape
string | escapeString ([in] string aString) raises ( com::sun::star::lang::IllegalArgumentException)
| encodes an arbitrary string into an escaped form compatible with some naming rules. More...
string | unescapeString ([in] string aEscapedString) raises ( com::sun::star::lang::IllegalArgumentException)
| decodes an escaped string into the original form. More...

## Detailed Description

provides access to a dynamic, homogeneous set of values or nested trees within a hierarchy.

Also provides information about the template for elements. Allows normalizing externally generated names.

Sets are dynamic containers within the hierarchy.

The number and names of contained elements are not fixed in advance, but all elements have to be of one predetermined type.

See also
  com::sun::star::configuration::SetElement Child objects of this service generally implement SetElement. The template name returned by the child from XTemplateInstance::getTemplateName() corresponds to the name returned by the set from XTemplateContainer::getElementTemplateName().
  com::sun::star::configuration::GroupAccess A complementary service that provides for static heterogeneous groups of elements within the hierarchy.

## Exported Interfaces

## ◆ HierarchyAccess

service HierarchyAccess

is the basic service for accessing child and descendent nodes in a hierarchy.

External names (from foreign namespaces) should be normalized using com::sun::star::util::XStringEscape::escapeString() (if available) before using them as element names.

## ◆ SimpleSetAccess

service SimpleSetAccess

is the basic service providing information about and access to elements of a not necessarily hierarchical set.

Interface com::sun::star::configuration::XTemplateContainer, which is optional in SimpleSetAccess must always be implemented in this service, if the elements are of object type.

## Exported Interfaces

## ◆ com::sun::star::container::XContainer

interface com::sun::star::container::XContainer

allows attaching listeners to this node to monitor changes to the set.

In this service, support for notifications is mandatory.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/SetAccess.idl